

.task-item {
  box-sizing: border-box;
  display: inline-flex;
  justify-content: left;
  align-items: center;
  width: 95%;
  margin: 0.15rem 0.5rem; 
  padding: 0.3rem;
  flex-shrink: 0;
}

.task-checkbox {
  height: 1rem;
  width: 10%;
  margin-right: 0.3rem;
}

.task-content {
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: left;
  font-family: $default-font;
}

.task-title {
  width: 80%;
  word-wrap: break-word;
  padding: 0.5rem 0.2rem 0.2rem 0;
}

.task-title-done {
  transition: 0.5s;
  font-style: italic;
  text-decoration: line-through;
  color: rgb(123,123,123);
}

.task-deadline {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  
  height: 1.9rem;
  width: auto;
  align-self: flex-start;
  white-space: nowrap;
  padding-right: 0.5rem;
  margin-top: 0.2rem;
  margin-bottom: 0.2rem;
}

.task-deadline-icon {
  box-sizing: border-box;
  font-size: 13px;
  margin-right: 0.4rem;
  height: 100%;
}

.task-archive-option {
  color: 	#808080;
  font-size: 1.2rem;
}

.react-calendar {
  border: none;
  border-radius: 2px;
  width: 100%;
}